# WOK
TKWOK
WOKOrbix

# WOKOrbix_ServerSource Class Reference

Computes CDLUnitSource File List.
.

`#include <WOKOrbix_ServerSource.hxx>`

Inheritance diagram for WOKOrbix_ServerSource:

[legend]

## Public Member Functions

Standard_EXPORT | WOKOrbix_ServerSource (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT void | ReadUnitDescr (const Handle(WOKMake_InputFile)&unitcdl)
| Read Unit.cdl file to obtain CDL files list .

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Constructor & Destructor Documentation

Standard_EXPORT WOKOrbix_ServerSource::WOKOrbix_ServerSource | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

virtual Standard_EXPORT void WOKOrbix_ServerSource::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Reimplemented from WOKStep_CDLUnitSource.

Standard_EXPORT const WOKOrbix_ServerSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_CDLUnitSource.

virtual Standard_EXPORT void WOKOrbix_ServerSource::ReadUnitDescr | ( | const Handle(WOKMake_InputFile)& | unitcdl | ) | `[protected, virtual]`

| Reimplemented from WOKStep_CDLUnitSource.

The documentation for this class was generated from the following file:

- WOKOrbix_ServerSource.hxx